import { ObjectType } from '@nestjs/graphql';
import { Column, Entity, Index } from 'typeorm';
import { AppBaseEntity } from '../../commons/entities/app-base-entity';

@Entity()
@ObjectType()
export class Article extends AppBaseEntity {
  @Column()
  title: string;

  @Column({ type: 'text' })
  content: string;

  @Index()
  @Column({ nullable: true })
  publishedAt?: Date;

  @Column({ type: 'varchar', array: true })
  tags: string[];
}
